Topic
  • 1 reply
  • Latest Post - ‏2016-07-13T15:22:00Z by JonathanPechtaIBM
JonathanPechtaIBM
JonathanPechtaIBM
44 Posts

Pinned topic Announcement: APIs being removed: Updated July 13

‏2016-04-14T14:51:35Z |

This is a follow up post to yesterday's open mic announcement for those who where unable to attend.

 

IMPORTANT

With the release of QRadar 7.2.7, which is the next QRadar release, the following API versions are going to be removed from QRadar: 2.0, 3.0, and 3.1. If you have APIs or applications that leverage these API versions, they will no longer work when you query a QRadar 7.2.7 appliance. 

 

**There is new information available for QRadar 7.2.8 (which is a future release) about our API**

For QRadar v7.2.8, we will be deprecating API v5.0 and v5.1.  However, we will not be removing v4.0 as earlier announced in the QRadar 7.2.7 Open Mic discussion.  A new API removal policy is being discussed and details will follow for API users as we get closer to the release of QRadar 7.2.8. We want to communicate these changes to customers in advance of deprecating any API so administrators or API software and scripts can be edited with an appropriate amount of lead time for admins / developers.

 

 

Options

As always, we recommend that API users leverage the QRadar Early Upgrade program to test any API calls or applications before they upgrade. The Early Upgrade program provides two benefits to API users.

  1. You have access to the latest API endpoints and functionality to test your existing apps before the next version of QRadar is publicly available.
  2. You have the latest endpoints and functions to improve apps or develop new functionality.
  3. You have QRadar Support to assist you through the upgrade process. You get a support engineer assigned to your upgrade and they walk you through the upgrade and answer questions you might have or address any issues.

 

  • JonathanPechtaIBM
    JonathanPechtaIBM
    44 Posts

    Re: Announcement: APIs being removed: Updated July 13

    ‏2016-07-13T15:22:00Z  

    I updated this content today for new decisions being made around API development and deprecated APIs. See the post above to learn about QRadar 7.2.8 API updates.